Aiuto ragazzi sto provando ad aggiornare ubuntu 13.10 a 14.04 e mi da qualche errore, dal terminale digito questo codice: sudo update-manager -d ed esce l'aggiornamento a 14.04 e che succede, quando faccio l'aggiornamento i dice:

Sorgenti di terze parti disabilitate

Sono state disabilitate alcune voci di terze parti nel file «sources.list». È possibile abilitarle di nuovo dopo l'avanzamento di versione con lo strumento «software-properties» o con il gestore di pacchetti.

Poi clicco su chiudi e continuo l'aggiornamento e da li mi da un errore ecco cosa mi dice :

Impossibile calcolare l'avanzamento

An unresolvable problem occurred while calculating the upgrade.

This can be caused by:
- Upgrading to a pre-release version of Ubuntu
- Running the current pre-release version of Ubuntu
- Unofficial software packages not provided by Ubuntu

Se non vengono installati, segnalare il problema usando il comando «ubuntu-bug ubuntu-release-upgrader-core» in un terminale.

Cosa devo fare? Aiutatemi!

chiesto 11 Apr '14, 15:48

elioanzivinojunior's gravatar image

elioanzivino...
335812

modificato 12 Apr '14, 16:30

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

ah quindi devo rimuovere i programmi che scarico utilizzando i codici che offrono i siti web?

(11 Apr '14, 20:02) elioanzivino... elioanzivinojunior's gravatar image

@elioanzivinojunior: Le risposte non servono per chiedere chiarimenti o comunicare i risultati di qualcosa, ma tutto questo può essere scritto tramite i commenti.

(11 Apr '14, 21:41) enzotib ♦♦ enzotib's gravatar image

Ti conviene una installazione ex-novo

(11 Apr '14, 22:04) Vorpe Vorpe's gravatar image

Se con "codici che offrono i siti web" intendi dire quello che ti ho scritto prima (ppa esterni, ovvero delle sorgenti in più che aggiungi per poter installare dei programmi aggiuntivi) allora si. Vanno disinstallati i programmi e rimosse le sorgenti da "Software e aggiornamenti".

Comunque, sappi che puoi trovare quasi tutto quello che ti serve da Ubuntu software center, aggiungere ppa esterni va fatto solo in casi particolari e solo se si sa bene cosa comporta l'aggiuta di tali ppa. Molti problemi su Ubuntu e derivate nascono proprio da questo.

(12 Apr '14, 15:02) alevipri alevipri's gravatar image

ho un problemino con il Software Center... provo ad installare un programma e non mi esce scritto installa ma esce scritto usa questi sorgenti... Cosa devo fare? Per caso dovrei formattare il sistema operativo?

(12 Apr '14, 15:33) elioanzivino... elioanzivinojunior's gravatar image

va posto un problema per ogni domanda, come scritto nel regolamento ;)

Apri una nuova domanda per questo problema, esponendo bene cosa stai facendo, quale programma vuoi installare, la versione di Ubuntu eccetera.
Più sarai accurato e più facile sarà darti una mano.

(12 Apr '14, 15:48) alevipri alevipri's gravatar image

ragazzi sto finalmente riuscendo ad aggiornarlo alla 14.04... Vi spiego come ho fatto! 1) Ho formattato il sistema operativo alla sua versione originale cioè la 13.04; 2) L'ho riaggiornato alla 13.10; 3) Ora sta facendo l'aggiornamento alla 14.04!

Spero che vada a buon fine!

(15 Apr '14, 17:47) elioanzivino... elioanzivinojunior's gravatar image

Ma se hai formattato... Perché non hai installato direttamente la 14.04? O.ò

(15 Apr '14, 17:57) dadexix86 ♦♦ dadexix86's gravatar image

non avevo il dischetto per masterizzare la iso della versione!

(15 Apr '14, 18:03) elioanzivino... elioanzivinojunior's gravatar image

ma comunque l'aggiornamento sta procedendo bene! ;)

(15 Apr '14, 18:07) elioanzivino... elioanzivinojunior's gravatar image

sono riuscito ad aggiornarlo! Devo dire la verità, è bellissimo anche se è un po simile alla 13.10 ma cambia che è una versione LTS! e ci sono nuove applicazioni!

(15 Apr '14, 20:43) elioanzivino... elioanzivinojunior's gravatar image

L'avanzamento di versione funziona bene solo se la versione di Ubuntu installata è il più simile possibile alla versione "originale", quindi se non sono stati aggiunti ppa esterni, non sono stati installati pacchetti scaricati da siti web o, più in generale, se non sono state apportate modifiche ad Ubuntu.

Prima di eseguire l'avanzamento:

  • se hai aggiunto ppa esterni (ovvero delle sorgenti in più che aggiungi per poter installare programmi aggiuntivi), vanno disinstallati i programmi e rimosse le sorgenti da "Software e aggiornamenti";
  • rimuovi i programmi che hai installato al di fuori di Ubuntu Software Center;
  • è anche consigliabile disinstallare i driver proprietari, casomai vadano in conflitto con la nuova installazione di Ubuntu. Potrai tranquillamente reinstallarli in seguito all'avanzamento di versione.

Comunque considera che Ubuntu 14.04 LTS sarà una release molto importante. Verrà supportata per 5 anni, al contrario della 13.10 o di altre versioni intermedie tra una LTS e l'altra che sono supportate solo per 9 mesi.

Dato che potrai utilizzare questa versioni di Ubuntu per tanto tempo, tanto vale installarla ex-novo, sostituendo completamente Ubuntu 13.10. Una installazione "fresca" ti eviterà di incorrere in problemi dovuti all'avanzamento di versione della 13.10 alla 14.04.

Prima di tutto, come sempre, fai una copia di tutti i tuoi dati su un dispositivo esterno.

coll. permanente

ha risposto 11 Apr '14, 17:09

alevipri's gravatar image

alevipri
5.5k1479

modificato 18 Apr '14, 08:53

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×436
×263

domanda posta: 11 Apr '14, 15:48

domanda visualizzata: 7,738 volte

ultimo aggiornamento: 18 Apr '14, 08:53

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.